<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="body">
            <h:form styleClass="jsfcrud_list_form">
                <h:panelGroup id="messagePanel" layout="block">
                    <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
                </h:panelGroup>
                <h:outputText escape="false" value="#{bundle.ListSolicitudesEmpty}" rendered="#{solicitudesController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{solicitudesController.items.rowCount > 0}">
                    <h:outputText value="#{solicitudesController.pagination.pageFirstItem + 1}..#{solicitudesController.pagination.pageLastItem + 1}/#{solicitudesController.pagination.itemsCount}"/>&nbsp;
                    <h:commandLink action="#{solicitudesController.previous}" value="#{bundle.Previous} #{solicitudesController.pagination.pageSize}" rendered="#{solicitudesController.pagination.hasPreviousPage}"/>&nbsp;
                    <h:commandLink action="#{solicitudesController.next}" value="#{bundle.Next} #{solicitudesController.pagination.pageSize}" rendered="#{solicitudesController.pagination.hasNextPage}"/>&nbsp;
                    <h:dataTable value="#{solicitudesController.items}" var="item" border="0" cellpadding="2" cellspacing="0" rowClasses="jsfcrud_odd_row,jsfcrud_even_row" rules="all" style="border:solid 1px">
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListSolicitudesTitle_solicitudId}"/>
                            </f:facet>
                            <h:outputText value="#{item.solicitudId}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListSolicitudesTitle_solicitudCc}"/>
                            </f:facet>
                            <h:outputText value="#{item.solicitudCc}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListSolicitudesTitle_solicitudFecha}"/>
                            </f:facet>
                            <h:outputText value="#{item.solicitudFecha}">
                                <f:convertDateTime pattern="MM/dd/yyyy" />
                            </h:outputText>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListSolicitudesTitle_solicitudEstado}"/>
                            </f:facet>
                            <h:outputText value="#{item.solicitudEstado}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListSolicitudesTitle_solicitudUsrId}"/>
                            </f:facet>
                            <h:outputText value="#{item.solicitudUsrId}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            <h:commandLink action="#{solicitudesController.prepareEdit}" value="#{bundle.ListSolicitudesEditLink}"/>
                            <h:outputText value=" "/>
                            <h:commandLink action="#{solicitudesController.destroy}" value="#{bundle.ListSolicitudesDestroyLink}"/>
                        </h:column>
                    </h:dataTable>
                </h:panelGroup>
                <br />
                <h:commandLink action="#{solicitudesController.prepareCreate}" value="#{bundle.ListSolicitudesCreateLink}"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.ListSolicitudesIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
